Subject: Re: 2.6.34-rc1: Badness at fs/proc/generic.c:316

From: Alexey Dobriyan <[email-masked]>
Date: Sun, 14 Mar 2010 08:55:26 +0200

On Sat, Mar 13, 2010 at 03:53:28PM -0800, Christian Kujau wrote:
> after upgrading from 2.6.33 to today's latest mainline (daf9fe2...), I'm 
> getting this during bootup on a powerpc machine (Powerbook G4):
> 
> [    0.002187] ------------[ cut here ]------------
> [    0.002197] Badness at fs/proc/generic.c:316

> device-tree: Duplicate name in /cpus/PowerPC,G4@0, renamed to "l2-cache#1"
> name 'pulses/rev'

Uh-oh.

> Is this something to worry about? The machine seems to run fine so far...

Runtime behaviour remains the same, it's just new warning message.